<script setup lang="ts">
import { type Product } from '@/types/Product'

import ProductCard from './ProductCard.vue'

const props = defineProps<{
  products: Product
}>()

const emit = defineEmits<{
  selectedProduct: [Product]
}>()

function selected(p: Product) {
  console.log('ProductList' + p)
  emit('selectedProduct', p)
}
</script>

<template>
  <div style="height: 600px; overflow-y: auto">
    <v-container>
      <v-row>
        <v-col cols="12" md="4" v-for="item of products" :key="item.id">
          <ProductCard
            :product="item"
            @selectedProduct="selected"
            class="product-card"
          ></ProductCard>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>

<style scoped></style>
